API Direct
Endpoints
Instagram Search Users

Instagram Search Users

GET /v1/instagram/users
Documentation

Search Instagram users by keyword. Returns username, full name, user ID, verification status, privacy status, and profile picture URL.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)

Example Request

curl "https://apidirect.io/v1/instagram/users?query=photography" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "users": [
    {
      "username": "natgeo",
      "full_name": "National Geographic",
      "user_id": "787132",
      "is_verified": true,
      "is_private": false,
      "profile_pic_url": "https://scontent.cdninstagram.com/.../photo.jpg",
      "url": "https://instagram.com/natgeo"
    }
  ],
  "count": 50
}

Your Usage

Free tier this month
Loading...
Recent Activity